GET
/gpu_service/sku/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/gpu_service/sku/?service=<SERVICE>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/gpu_service/sku/", params={"service": "<SERVICE>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/gpu_service/sku/");url.search = new URLSearchParams({ service: "<SERVICE>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns available hardware plans (SKUs). Use sku_item_price_id from the response when creating an Instance or Virtual Machine.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”service
required
string
image_version_id
integer
Required for Notebook service. Find your Image Version ID here
framework
string
Required for Inference
framework_version_id
integer
Required for Inference service. Find your Framework Version ID here
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful response with available plans
Media typeapplication/json
object
code
integer
data
object
CPU
Array<object>
object
sku_id
integer
name
string
series
string
cpu
string
gpu
string
memory
string
sku_type
string
is_free
boolean
is_active
boolean
plans
Array<object>
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
gpu_switch_type
string
gpu_card_type
string
local_storage_in_gb
integer
available_inventory_count
integer
is_inventory_available
boolean
GPU
Array<object>
object
sku_id
integer
name
string
series
string
cpu
string
gpu
string
memory
string
sku_type
string
is_free
boolean
is_active
boolean
plans
Array<object>
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
gpu_switch_type
string
gpu_card_type
string
local_storage_in_gb
integer
available_inventory_count
integer
is_inventory_available
boolean
SPOT_INSTANCE
Array<object>
object
sku_id
integer
name
string
series
string
cpu
string
gpu
string
memory
string
sku_type
string
is_free
boolean
is_active
boolean
plans
Array<object>
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
gpu_switch_type
string
gpu_card_type
string
local_storage_in_gb
integer
available_inventory_count
integer
is_inventory_available
boolean
Example
{ "code": 200, "data": { "CPU": [ { "sku_id": 35, "name": "C3.8GB_Free", "series": "CPU", "cpu": "4", "gpu": null, "memory": "8GB", "sku_type": "C3-250GB", "is_free": true, "is_active": true, "plans": [ { "sku_item_price_id": 86, "sku_type": "hourly", "committed_days": 0, "unit_price": 0, "currency": "INR", "is_active": true, "description": "Free-Tier Plan" } ], "gpu_switch_type": null, "gpu_card_type": null, "local_storage_in_gb": 0, "available_inventory_count": 102, "is_inventory_available": true } ], "GPU": [ { "sku_id": 76, "name": "GDC.A100-16.115GB_Free", "series": "GPU", "cpu": "16", "gpu": "1", "memory": "115GB", "sku_type": "GDC.A10040", "is_free": true, "is_active": true, "plans": [ { "sku_item_price_id": 193, "sku_type": "hourly", "committed_days": 0, "unit_price": 0, "currency": "INR", "is_active": true, "description": "Free-Tier Plan" } ], "gpu_switch_type": null, "gpu_card_type": "A100", "local_storage_in_gb": 0, "available_inventory_count": 0, "is_inventory_available": false } ], "SPOT_INSTANCE": [ { "sku_id": 180, "name": "Spot_GDC.1xH10080-26.250GB_SXM", "series": "SPOT_INSTANCE", "cpu": "26", "gpu": "1", "memory": "250GB", "sku_type": "SPOT-GDC-4xH10080", "is_free": false, "is_active": true, "plans": [ { "sku_item_price_id": 987, "sku_type": "hourly", "committed_days": 0, "unit_price": 175, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance notebook" } ], "gpu_switch_type": null, "gpu_card_type": "H100", "local_storage_in_gb": 0, "available_inventory_count": 4, "is_inventory_available": true } ] }}